import pytask as pytask
from pytask_latex import compilation_steps as cs

from esaform2023.weiner.config import ROOT_FILE, RC_FILE


@pytask.mark.latex(
    script=ROOT_FILE,
    document=ROOT_FILE.with_suffix(".pdf"),
    compilation_steps=cs.latexmk(
        options=("-r", f"{RC_FILE}",)
    ),
)
def task_weiner_compile():
    pass
